Skip to navigation

List available notaries

View as Markdown

This method returns a paginated list of the available notaries for a given account.

Required authentication scopes: notary_read.

Authentication

AuthorizationBearer
JWT Bearer token from DocuSign authorization server

Path parameters

accountIdstringRequiredformat: "uuid"
The account ID GUID.

Query parameters

startPositionintegerOptionalDefaults to 0

The position within the total result set from which to start returning values. Default: 0.

countintegerOptionalDefaults to 100

The maximum number of results to return. Default: 100.

searchstringOptional

Filters the results based on the text that you specify. Use the searchContext parameter to limit your search to specific fields.

Note: When searchContext is set to Jurisdiction, you can search by two-letter state abbreviation or full state name. When searchContext is set to SessionType, you can search by abbreviation (like “ipen” or “ron”) or full term (like “in-person” or “remote”).

searchContextstringOptional

Specifies which fields to search. Valid values:

  • Any (default)
  • Name
  • Email
  • Jurisdiction
  • SessionType
sortintegerOptional

Sorts results according to a specific property. Valid values:

  • NameAsc
  • NameDesc
  • EmailAsc
  • EmailDesc
  • JurisdictionAsc
  • JurisdictionDesc
  • SessionTypeAsc
  • SessionTypeDesc

Response

Successful response
resultSetSizeintegerOptional

The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the value of totalSetSize.

startPositionintegerOptional

The position within the total result set from which to start returning values. Default: 0.

endPositionintegerOptional
The last index position in the result set.
nextUristring or nullOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

priorUristring or nullOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

totalSetSizeintegerOptional

The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.

notarieslist of objects or nullOptional

An array of NotarySummary objects representing the available notaries.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error